
Redmine - Defect #14668

Incoming emails has wrong line breaks

2013-08-12 10:01 - Anton Nepomnyaschih

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Steps to reproduce:

1. Answer any email notification from Redmine back to its email address to add a comment to a ticket (having Incoming email

processing turned on).

Expected result:

Your answer is added to the ticket as a comment with no line breaks change. As you can see in the following image, the "very long

line" in the email is very long with no line breaks.
Actual result:

Your answer is added to the ticket as a comment so that all lines are no longer than 80 (?) chars length. Bulk of line breaks is added.

As you can see on the following image, the "very long line" is split on several lines. And also email address from my signature is on

another line. Though my screen allows to fit more chars in one line.
Related issues:

Related to Redmine - Feature #16962: Better handle html-only emails Closed

History

#1 - 2013-08-12 10:15 - Toshi MARUYAMA

- Category set to Email receiving

#2 - 2019-02-10 06:19 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Probably line endings in the raw email message caused the issue. It never happens in Redmine 3.1.0 and later because the handling of HTML emails

was improved not to simply preserve newlines. Please see #16962 for details.

Please reopen this issue if you are still experiencing the problem.

#3 - 2019-02-10 06:19 - Go MAEDA

- Related to Feature #16962: Better handle html-only emails added
